#include "__PLUGIN_NAME__ImageFilterPlugin.h"
#include "ritkManager.h"

__PLUGIN_NAME__ImageFilterPlugin::__PLUGIN_NAME__ImageFilterPlugin()
{
	// Initialize filter
	m_Filter = __PLUGIN_NAME__FilterType::New();

	// Filter modes
	m_FilterRange = false;

	// Create GUI widget
	m_Widget = new __PLUGIN_NAME__FilterWidget();
	connect(m_Widget, SIGNAL(RangeDataCheckBoxChanged(bool)), this, SLOT(SetRangeFilterMode(bool)));
}


__PLUGIN_NAME__ImageFilterPlugin::~__PLUGIN_NAME__ImageFilterPlugin()
{
	delete m_Widget;
}


//----------------------------------------------------------------------------
QWidget*
__PLUGIN_NAME__ImageFilterPlugin::GetPluginGUI()
{
	return m_Widget;
}


//----------------------------------------------------------------------------
__PLUGIN_NAME__ImageFilterPlugin::FilterPlugin::FilterPointer 
__PLUGIN_NAME__ImageFilterPlugin::GetFilter()
{	
	return (FilterPlugin::FilterType*)m_Filter;
}
